using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Configuration;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class RowDataBoundEventPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            FillRecruiterAccount(GridView1);
    }

    void FillRecruiterAccount(GridView gridView)
    {
        try
        {
            SqlDataSource sqlDataSource = new SqlDataSource();
            sqlDataSource.ConnectionString =
            WebConfigurationManager.ConnectionStrings[
                "RecruitVietnamDbConnectionString"
                ].ConnectionString;
            sqlDataSource.SelectCommandType =
            SqlDataSourceCommandType.Text;
            sqlDataSource.SelectCommand = "select " +
            "CompanyName,ContactName, "
            + " Address,Activate from tblRCAccounts";
            gridView.DataSource = sqlDataSource;
            gridView.DataBind();
        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
        }
    }

    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        FillRecruiterAccount(GridView1);
    }
    int runningTotal=1;
    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        
        GridViewRow gridViewRow = e.Row;
        if (runningTotal > 2 && runningTotal<8)
        {
            CheckBox checkBox =(CheckBox)gridViewRow.Cells[3].Controls[0];

            if (checkBox != null && !checkBox.Checked)
            {
                Label label = new Label();
                label.Text="Urgent";
                gridViewRow.Cells[3].Controls.Add(label);              
                gridViewRow.Cells[3].BackColor = System.Drawing.Color.Aqua;
            }
        }
        runningTotal++;
              
    }
}
